# Products — Close Product List

The LiSA Player dispatches a message when a user closes the product list.

This message is sent by the LiSA Player to the host app / environment.

### Properties

Along with all standard [Message properties](/developers/guides/player-communication/message-api-reference.md#properties), a **Close Product List** message includes the following additional properties:

<table><thead><tr><th width="220" valign="top">Name</th><th width="175" valign="top">Type</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>auxiliaryData</code></td><td valign="top"><pre><code>AuxiliaryData
</code></pre><p>Required.</p></td><td valign="top">The <code>auxiliaryData</code> property is an object that holds additional metadata related to the close product list event. <br><br>Please refer to <a href="#productlisauxiliarydata"><code>AuxiliaryData</code></a> for detailed information.</td></tr><tr><td valign="top"><code>mediaItemId</code></td><td valign="top"><pre><code>string
</code></pre><p>Required.</p></td><td valign="top">The <code>mediaItemId</code> property uniquely identifies the Media Item from which this message originates.</td></tr><tr><td valign="top"><code>mediaItemType</code></td><td valign="top"><pre><code>MediaItemType
</code></pre><p>Required.</p></td><td valign="top">The <code>mediaItemType</code> property specifies the type of Media Item from which this message originates.<br><br>Refer to <a href="/pages/TzMvWg0wtnzBMpFfvyoN#media-item-type"><code>MediaItemType</code></a> for detailed information.</td></tr><tr><td valign="top"><code>messageType</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top"><code>lsc:products:close</code></td></tr></tbody></table>

***

### Type Definition

```typescript
interface ProductListCloseMessage extends Omit<
  Message,
  'messageType' | 'sender'
> {
  auxiliaryData: ProductListAuxiliaryData;
  mediaItemId: string;
  mediaItemType: MediaItemType;
  messageType: 'lsc:products:close';
  sender: 'LiSA';
}
```

#### `ProductListAuxiliaryData`

<table><thead><tr><th width="196" valign="top">Name</th><th width="192" valign="top">Type</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>products</code></td><td valign="top"><pre><code>Object
</code></pre><p>Required.</p></td><td valign="top">The <code>products</code> field specifies a map of product identifiers, where each <code>key</code> represents the external or merchant-specific identifier for the product and its corresponding value represents the LiSA internal product identifier.</td></tr></tbody></table>

```typescript
interface ProductListAuxiliaryData {
  products: Record<string, string>;
}
```

***

### Examples

```json
{
  "auxiliaryData": {
    "products": {
      "9caf4704-ec2f-438b-8b18-128a9ba22fda": "6052b475-b887-4d84-8f83-7797c7790dbd"
    }   
  },
  "clockDriftInMs": 0,
  "mediaItemId": "9f333331-45cb-4289-8bcd-9023c1871111",
  "mediaItemType": "live",
  "messageType": "lsc:product:close",
  "progress": {
    "bufferedTimeInMs": 648036,
    "currentTimeInMs": 628008,
    "durationInMs": 4616000,
    "elapsedTimeInMs": 28784,
    "skipTimeInMs": 600000,
    "isLive": true,
    "visitorDwellTimeInMs": 29135,
    "isPlaying": true
  },
  "sender": "LiSA"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hello-lisa.com/developers/guides/player-communication/message-api-reference/products/products-close-product-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
